[SCM] crtmpserver/master: Fix typo and user check

jet-guest at users.alioth.debian.org jet-guest at users.alioth.debian.org
Mon Nov 14 16:33:42 UTC 2011


The following commit has been merged in the master branch:
commit ef79a74a0ccd69f631786959879870620dec7503
Author: Andriy Beregovenko <jet at jet.kiev.ua>
Date:   Mon Nov 14 18:32:00 2011 +0200

    Fix typo and user check

diff --git a/debian/crtmpserver.init b/debian/crtmpserver.init
index 23145ae..c040f6c 100644
--- a/debian/crtmpserver.init
+++ b/debian/crtmpserver.init
@@ -30,7 +30,10 @@ ENABLED=no
 . /lib/lsb/init-functions
 
 DAEMON_UID=$(getent passwd ${DAEMON_USER} | cut -d":" -f3)
-[ -z "${DAEMON_UID}" ] && (echo "User ${DAEMON_USER} not exists"; exit 1)
+if [ -z "${DAEMON_UID}" ]; then
+	echo "Error: User ${DAEMON_USER} does not exist."
+	exit 1
+fi
 
 UID_ARG=" --uid=${DAEMON_UID} "
 

-- 
crtmpserver packaging



More information about the pkg-multimedia-commits mailing list